List Endpoints
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/endpoints \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/endpoints"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"endpoints": [
{
"id": "<string>",
"name": "<string>",
"appName": "<string>",
"state": {
"state": "<string>",
"error": "<string>",
"message": "<string>"
},
"url": "<string>",
"workerConfig": {
"minNum": 123,
"maxNum": 123,
"freeTimeout": "<string>",
"maxConcurrent": "<string>",
"gpuNum": 123,
"requestTimeout": 123,
"cudaVersion": "<string>"
},
"policy": {
"type": "<string>",
"value": "<string>"
},
"image": {
"image": "<string>",
"authId": "<string>",
"command": "<string>"
},
"rootfsSize": 123,
"volumeMounts": [
{
"type": "<string>",
"id": "<string>",
"size": 123,
"mountPath": "<string>"
}
],
"envs": [
{
"key": "<string>",
"value": "<string>"
}
],
"ports": [
{
"port": "<string>"
}
],
"workers": [
{
"id": "<string>",
"state": {
"state": "<string>",
"error": "<string>",
"message": "<string>"
},
"log": "<string>",
"metrics": "<string>",
"healthy": true
}
],
"products": [
{
"id": "<string>"
}
],
"healthy": {
"path": "<string>",
"initialDelay": 123,
"period": 123,
"timeout": 123,
"successThreshold": 123,
"failureThreshold": 123
},
"clusterID": "<string>",
"log": "<string>"
}
],
"total": 123
}Serverless GPUs
List Endpoints
GET
/
gpu-instance
/
openapi
/
v1
/
endpoints
List Endpoints
Request Headers
string
required
Enum:
application/jsonstring
required
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
integer
required
Maximum number of items returned per page.
integer
required
Current page number.
Response
object[]
required
Endpoint information.
Hide properties
Hide properties
string
required
Endpoint ID.
string
required
Endpoint name.
string
required
Application name.
object
required
string
required
Endpoint URL. You can access your HTTP service via this URL.
object
required
Worker configuration for the endpoint.
object
required
Auto-scaling policy for the endpoint.
Hide properties
Hide properties
string
required
Policy type. Options:
queue: Queue latency policy, adjusts the number of workers based on the waiting time of requests in the queue.concurrency: Queue request policy, automatically adjusts the number of workers based on the number of requests in the queue.
string
required
The meaning of value depends on the type:
- If type = queue, value is the queue waiting time in seconds.
- If type = concurrency, value is the maximum number of requests in the queue.
object
required
integer
required
System disk size.
object[]
required
Storage configuration for the endpoint.
object[]
required
object[]
required
Worker information for the endpoint.
Hide properties
Hide properties
string
required
Worker ID.
object
required
string
required
Log path for the worker.
string
required
Monitoring information for the worker.
boolean
required
Whether the worker is healthy.
object
required
Health check configuration for the endpoint.
Hide properties
Hide properties
string
required
Path to be checked via HTTP request for health monitoring.
integer
required
Time to wait after startup before starting health checks, in seconds.
integer
required
Interval between health checks, in seconds.
integer
required
Timeout for health checks, in seconds.
integer
required
Number of consecutive successes required to consider the check successful after a previous failure.
integer
required
Number of consecutive failures required to consider the check failed after a previous success.
string
required
Cluster ID where the cloud storage resides. Returned when using cloud storage.
string
required
Log path for the endpoint.
integer
required
Total number of results.
Last modified on March 26, 2026
Was this page helpful?
⌘I